(ns rlm.quick
    "quick and dirty convienence script to load EVERYTHING!
    This is designed to work with clojure 1.2"
    {:author "Robert McIntyre"}
    (:require (clojure.core.javadoc))

    )

(defn whatev [] (println 5))

(defn dirty []
  
  (use
   :reload-all

   '[clojure.java
     [javadoc :only [javadoc add-local-javadoc]]]

   '[clojure
     [repl :only [source]]]
   
   '[rlm
     [function-utils :only [mix defmix runonce]]
     [rlm-commands :only [undef  ns-nuke reload]]
     [play-all :only [play-all-music]]
     [shell-inspect :only [command-line?]]
     [shell-write :only [sw]]
     [classpath-utils :only [classpath add-to-classpath]]
     [dreams :only [megadef defn-decorated silence]]
     [map-utils :only [map-keys map-vals filter-keys filter-vals]]
     [decorators :only [preserve-meta]]]

  
   '[clojure.contrib
     [combinatorics :only [cartesian-product subsets selections
			   permutations lex-permutations combinations]]
     [duck-streams :only [file-str]]
     [str-utils :only [re-split re-gsub str-join]]
     [seq :only [separate indexed rotations find-first positions]]
     [math :only [expt round abs gcd lcm floor ceil sqrt]]
     [repl-utils :only [show expression-info]]
     [def :only [defvar defmacro-]]])
;  (set! clojure.core/*print-length* 20)  
;  (require 'clojure.java.javadoc)
;  (clojure.java.javadoc/add-local-javadoc "/home/r/mobius/temp-clj/javadoc")
  nil
  )

(defn init []
  (use :reload-all
       '[clojure
	 core
	 ]))







