(ns laserkard.server
  (:use
   [compojure core]
   [ring.adapter jetty]
   [laserkard buy-temp faq])
  )

(defroutes laserkard
  (GET "/index.clj" [] "<h1> hello, connie, good to meet you</h1>")
  (GET "/buy-temp.clj" [] (buy-gen))
  (GET "/faq.clj" [] (faq))
)

(defn serve []
  (future
   (run-jetty (var laserkard.server/laserkard) {:port 9000 :host "localhost"})))
