
;;No BigNum Promotion
(defun factorial (n &optional f)
  (cond ((null f) (factorial n 1))
	((<= n 1) f)
	(t (factorial (- n 1) (* n f)))))

;; No Tail Recursion
(defun count (n &optional work)
  (cond ((<= n 0) work)
	(t (count (- n 1) (cons n work)))))

;;Shallow Dynamic Variables by Default
(setq x 3)

(defun whatisx ()
  x)

(defun frobx ()
  (setq x 5)
  (whatisx))

(defun mungex (x)
  (whatisx))

(defun duncant ()
  (print n))

(defun rlm (n)
  (duncant))

;; no namespaces :(

;; compiles to bytecode, very small memory footprint

;; LISP 2
(reduce + '(1 2 3 4))            ;;doesn't work
(reduce (function +) '(1 2 3 4)) ;;have to do this!
(reduce #'+ '(1 2 3 4))          ;;this works too...
